## org.springframework.jca.work.jboss
Class JBossWorkManagerUtils

    java.lang.Object
      org.springframework.jca.work.jboss.JBossWorkManagerUtils

    public abstract class JBossWorkManagerUtils

extends Object

Utility class for obtaining the JBoss JCA WorkManager, typically for use in web applications.

Since:
  2.5.2
Author:
  Juergen Hoeller

Constructor Summary
`JBossWorkManagerUtils()`

Method Summary
`static WorkManager` `getWorkManager()` Obtain the default JBoss JCA WorkManager through a JMX lookup for the default JBossWorkManagerMBean.
`static WorkManager` `getWorkManager(String mbeanName)` Obtain the default JBoss JCA WorkManager through a JMX lookup for the JBossWorkManagerMBean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossWorkManagerUtils

    public JBossWorkManagerUtils()

Method Detail

### getWorkManager

    public static WorkManager getWorkManager()

  Obtain the default JBoss JCA WorkManager through a JMX lookup for the default JBossWorkManagerMBean.

  See Also:
    `org.jboss.resource.work.JBossWorkManagerMBean`

### getWorkManager

    public static WorkManager getWorkManager(String mbeanName)

  Obtain the default JBoss JCA WorkManager through a JMX lookup for the JBossWorkManagerMBean.

  Parameters:
    `workManagerObjectName` - the JMX object name to use
  See Also:
    `org.jboss.resource.work.JBossWorkManagerMBean`